package com.sunxung.factoring.entity.acceptance;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.component.util.excel.ExcelCell;
import com.sunxung.factoring.entity.BaseEntity;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 验收单管理货物 (历史信息)
 *
 * @author liutao
 * @date 2021.9.10
 */
@TableName("c_acceptance_his_goods_info")
public class AcceptanceHisGoodsInfo extends BaseEntity {

    /**
     * 验收单编号
     */
    @TableField("acceptance_goods_number")
    private String acceptanceGoodsNumber;
    /***
     * 货物名称
     */
    @TableField("goods_name")
    private String goodsName;
    /***
     * 货物材质
     */
    @TableField("goods_material")
    private String goodsMaterial;
    /**
     * 型号
     */
    @TableField("goods_type")
    private String goodsType;
    /**
     * 厂家
     */
    @TableField("goods_factory")
    private String goodsFactory;
    /**
     * 单位
     */
    @TableField("goods_unit")
    private String goodsUnit;
    /**
     * 数量
     */
    @TableField("goods_quantity")
    private BigDecimal goodsQuantity;
    /**
     * 验收日期
     */
    @TableField("acceptance_date")
    private Date acceptanceDate;
    /**
     * 验收单基础信息表id
     */
    @TableField("acceptance_his_info_id")
    private Long acceptanceHisInfoId;

    /**
     * 销售单价
     */
    @TableField("sales_price")
    @ExcelCell(index = 6)
    private BigDecimal salesPrice;


    /**
     * 参考价格
     */
    @TableField("reference_price")
    @ExcelCell(index = 7)
    private BigDecimal referencePrice;

    /**
     * 浮动单价
     */
    @TableField("floating_price")
    @ExcelCell(index = 8)
    private BigDecimal floatingPrice;


    @TableField(exist = false)
    private String salesPriceStr;

    public AcceptanceHisGoodsInfo() {
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getGoodsMaterial() {
        return goodsMaterial;
    }

    public void setGoodsMaterial(String goodsMaterial) {
        this.goodsMaterial = goodsMaterial;
    }

    public String getGoodsType() {
        return goodsType;
    }

    public void setGoodsType(String goodsType) {
        this.goodsType = goodsType;
    }

    public String getGoodsFactory() {
        return goodsFactory;
    }

    public void setGoodsFactory(String goodsFactory) {
        this.goodsFactory = goodsFactory;
    }

    public String getGoodsUnit() {
        return goodsUnit;
    }

    public void setGoodsUnit(String goodsUnit) {
        this.goodsUnit = goodsUnit;
    }

    public BigDecimal getGoodsQuantity() {
        return goodsQuantity;
    }

    public void setGoodsQuantity(BigDecimal goodsQuantity) {
        this.goodsQuantity = goodsQuantity;
    }

    public Date getAcceptanceDate() {
        return acceptanceDate;
    }

    public void setAcceptanceDate(Date acceptanceDate) {
        this.acceptanceDate = acceptanceDate;
    }

    public Long getAcceptanceHisInfoId() {
        return acceptanceHisInfoId;
    }

    public void setAcceptanceHisInfoId(Long acceptanceHisInfoId) {
        this.acceptanceHisInfoId = acceptanceHisInfoId;
    }

    public BigDecimal getSalesPrice() {
        return salesPrice;
    }

    public void setSalesPrice(BigDecimal salesPrice) {
        this.salesPrice = salesPrice;
    }

    public String getSalesPriceStr() {
        return salesPriceStr;
    }

    public void setSalesPriceStr(String salesPriceStr) {
        this.salesPriceStr = salesPriceStr;
    }

    public String getAcceptanceGoodsNumber() {
        return acceptanceGoodsNumber;
    }

    public void setAcceptanceGoodsNumber(String acceptanceGoodsNumber) {
        this.acceptanceGoodsNumber = acceptanceGoodsNumber;
    }

    public BigDecimal getReferencePrice() {
        return referencePrice;
    }

    public void setReferencePrice(BigDecimal referencePrice) {
        this.referencePrice = referencePrice;
    }

    public BigDecimal getFloatingPrice() {
        return floatingPrice;
    }

    public void setFloatingPrice(BigDecimal floatingPrice) {
        this.floatingPrice = floatingPrice;
    }

    @Override
    public String toString() {
        return "AcceptanceHisGoodsInfo{" +
                "goodsName='" + goodsName + '\'' +
                ", goodsMaterial='" + goodsMaterial + '\'' +
                ", goodsType='" + goodsType + '\'' +
                ", goodsFactory='" + goodsFactory + '\'' +
                ", goodsUnit='" + goodsUnit + '\'' +
                ", goodsQuantity=" + goodsQuantity +
                ", acceptanceDate=" + acceptanceDate +
                ", acceptanceHisInfoId=" + acceptanceHisInfoId +
                ", salesPrice=" + salesPrice +
                '}';
    }
}
